{
  "compilerOptions": {
    "target": "es2020",
    "module": "ESNext",
    "esModuleInterop": true,
    "lib": [
      "ES2020",
      "DOM",
      "DOM.Iterable"
    ],
    "forceConsistentCasingInFileNames": true,
    "strict": false,
    "skipLibCheck": true,
    "moduleResolution": "bundler",
    "allowImportingTsExtensions": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "jsx": "preserve",
    "jsxImportSource": "react",

    "paths": {
      "@gl/*": [
        "./src/gl/*"
      ],
      "@dom/*": [
        "./src/dom/*"
      ],
      "@lib/*": [
        "./src/lib/*"
      ]
    }
  },
  "exclude": [
    "node_modules"
  ]
}
